package com.sliit.smartserviceassistant;

import androidx.appcompat.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Toast;

public class Changers_in_one extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_changers_in_one);

        View oilfilter = findViewById(R.id.layoutoilfilter);
        View EngineOil = findViewById(R.id.layoutengineoil);
        View washer_plug= findViewById(R.id.layoutwasher_plug);
        View dust_filter = findViewById(R.id.layoutdust_filter);
        View wheel_alignment = findViewById(R.id.layoutwheel_align);
        View air_filter = findViewById(R.id.layoutair_clean_filter);
        View fuel_filter = findViewById(R.id.layoutfuel_filter);
        View spark_plug = findViewById(R.id.layoutspark_plug);
        View brake_fluid = findViewById(R.id.layoutbrake_fluid);
        View break_oil = findViewById(R.id.layoutbreak_oil);
        View transmission_fluid = findViewById(R.id.layouttransmission_fluid);
        View break_pads = findViewById(R.id.layoutbreak_pads);
        View clutch = findViewById(R.id.layoutclutch);
        View coolant = findViewById(R.id.layoutcoolant);

        SuggestionAnswer classa = new SuggestionAnswer();
        int a=classa.a;
        int b=classa.b;
        int c=classa.c;
        int d=classa.d;
        int e=classa.e;
        int f=classa.f;
        int g=classa.g;
        int h=classa.h;
        int i=classa.i;
        int j=classa.j;
        int k=classa.k;
        int l=classa.L;
        int m=classa.M;
        int n=classa.N;


        if(a==1) {
            Toast.makeText(Changers_in_one.this, "a", Toast.LENGTH_SHORT).show();
            oilfilter.setVisibility(View.VISIBLE);
            EngineOil.setVisibility(View.GONE);
            washer_plug.setVisibility(View.GONE);
            dust_filter.setVisibility(View.GONE);
            wheel_alignment.setVisibility(View.GONE);
            air_filter.setVisibility(View.GONE);
            fuel_filter.setVisibility(View.GONE);
            spark_plug.setVisibility(View.GONE);
            brake_fluid.setVisibility(View.GONE);
            break_oil.setVisibility(View.GONE);
            transmission_fluid.setVisibility(View.GONE);
            break_pads.setVisibility(View.GONE);
            clutch.setVisibility(View.GONE);
            coolant.setVisibility(View.GONE);
        }
        if(b==1) {
            Toast.makeText(Changers_in_one.this, "a", Toast.LENGTH_SHORT).show();
            oilfilter.setVisibility(View.GONE);
            EngineOil.setVisibility(View.VISIBLE);
            washer_plug.setVisibility(View.GONE);
            dust_filter.setVisibility(View.GONE);
            wheel_alignment.setVisibility(View.GONE);
            air_filter.setVisibility(View.GONE);
            fuel_filter.setVisibility(View.GONE);
            spark_plug.setVisibility(View.GONE);
            brake_fluid.setVisibility(View.GONE);
            break_oil.setVisibility(View.GONE);
            transmission_fluid.setVisibility(View.GONE);
            break_pads.setVisibility(View.GONE);
            clutch.setVisibility(View.GONE);
            coolant.setVisibility(View.GONE);
        }
        if(c==1) {
            Toast.makeText(Changers_in_one.this, "a", Toast.LENGTH_SHORT).show();
            oilfilter.setVisibility(View.GONE);
            EngineOil.setVisibility(View.GONE);
            washer_plug.setVisibility(View.VISIBLE);
            dust_filter.setVisibility(View.GONE);
            wheel_alignment.setVisibility(View.GONE);
            air_filter.setVisibility(View.GONE);
            fuel_filter.setVisibility(View.GONE);
            spark_plug.setVisibility(View.GONE);
            brake_fluid.setVisibility(View.GONE);
            break_oil.setVisibility(View.GONE);
            transmission_fluid.setVisibility(View.GONE);
            break_pads.setVisibility(View.GONE);
            clutch.setVisibility(View.GONE);
            coolant.setVisibility(View.GONE);
        }
        if(d==1) {
            Toast.makeText(Changers_in_one.this, "a", Toast.LENGTH_SHORT).show();
            oilfilter.setVisibility(View.GONE);
            EngineOil.setVisibility(View.GONE);
            washer_plug.setVisibility(View.GONE);
            dust_filter.setVisibility(View.VISIBLE);
            wheel_alignment.setVisibility(View.GONE);
            air_filter.setVisibility(View.GONE);
            fuel_filter.setVisibility(View.GONE);
            spark_plug.setVisibility(View.GONE);
            brake_fluid.setVisibility(View.GONE);
            break_oil.setVisibility(View.GONE);
            transmission_fluid.setVisibility(View.GONE);
            break_pads.setVisibility(View.GONE);
            clutch.setVisibility(View.GONE);
            coolant.setVisibility(View.GONE);
        }
        if(e==1) {
            Toast.makeText(Changers_in_one.this, "a", Toast.LENGTH_SHORT).show();
            oilfilter.setVisibility(View.GONE);
            EngineOil.setVisibility(View.GONE);
            washer_plug.setVisibility(View.GONE);
            dust_filter.setVisibility(View.GONE);
            wheel_alignment.setVisibility(View.VISIBLE);
            air_filter.setVisibility(View.GONE);
            fuel_filter.setVisibility(View.GONE);
            spark_plug.setVisibility(View.GONE);
            brake_fluid.setVisibility(View.GONE);
            break_oil.setVisibility(View.GONE);
            transmission_fluid.setVisibility(View.GONE);
            break_pads.setVisibility(View.GONE);
            clutch.setVisibility(View.GONE);
            coolant.setVisibility(View.GONE);
        }
        if(f==1) {
            Toast.makeText(Changers_in_one.this, "a", Toast.LENGTH_SHORT).show();
            oilfilter.setVisibility(View.GONE);
            EngineOil.setVisibility(View.GONE);
            washer_plug.setVisibility(View.GONE);
            dust_filter.setVisibility(View.GONE);
            wheel_alignment.setVisibility(View.GONE);
            air_filter.setVisibility(View.VISIBLE);
            fuel_filter.setVisibility(View.GONE);
            spark_plug.setVisibility(View.GONE);
            brake_fluid.setVisibility(View.GONE);
            break_oil.setVisibility(View.GONE);
            transmission_fluid.setVisibility(View.GONE);
            break_pads.setVisibility(View.GONE);
            clutch.setVisibility(View.GONE);
            coolant.setVisibility(View.GONE);
        }
        if(g==1) {
            Toast.makeText(Changers_in_one.this, "a", Toast.LENGTH_SHORT).show();
            oilfilter.setVisibility(View.GONE);
            EngineOil.setVisibility(View.GONE);
            washer_plug.setVisibility(View.GONE);
            dust_filter.setVisibility(View.GONE);
            wheel_alignment.setVisibility(View.GONE);
            air_filter.setVisibility(View.GONE);
            fuel_filter.setVisibility(View.VISIBLE);
            spark_plug.setVisibility(View.GONE);
            brake_fluid.setVisibility(View.GONE);
            break_oil.setVisibility(View.GONE);
            transmission_fluid.setVisibility(View.GONE);
            break_pads.setVisibility(View.GONE);
            clutch.setVisibility(View.GONE);
            coolant.setVisibility(View.GONE);
        }if(h==1) {
            Toast.makeText(Changers_in_one.this, "a", Toast.LENGTH_SHORT).show();
            oilfilter.setVisibility(View.GONE);
            EngineOil.setVisibility(View.GONE);
            washer_plug.setVisibility(View.GONE);
            dust_filter.setVisibility(View.GONE);
            wheel_alignment.setVisibility(View.GONE);
            air_filter.setVisibility(View.GONE);
            fuel_filter.setVisibility(View.VISIBLE);
            spark_plug.setVisibility(View.GONE);
            brake_fluid.setVisibility(View.GONE);
            break_oil.setVisibility(View.GONE);
            transmission_fluid.setVisibility(View.GONE);
            break_pads.setVisibility(View.GONE);
            clutch.setVisibility(View.GONE);
            coolant.setVisibility(View.GONE);
        }if(i==1) {
            Toast.makeText(Changers_in_one.this, "a", Toast.LENGTH_SHORT).show();
            oilfilter.setVisibility(View.GONE);
            EngineOil.setVisibility(View.GONE);
            washer_plug.setVisibility(View.GONE);
            dust_filter.setVisibility(View.GONE);
            wheel_alignment.setVisibility(View.GONE);
            air_filter.setVisibility(View.GONE);
            fuel_filter.setVisibility(View.GONE);
            spark_plug.setVisibility(View.GONE);
            brake_fluid.setVisibility(View.VISIBLE);
            break_oil.setVisibility(View.GONE);
            transmission_fluid.setVisibility(View.GONE);
            break_pads.setVisibility(View.GONE);
            clutch.setVisibility(View.GONE);
            coolant.setVisibility(View.GONE);
        }if(j==1) {
            Toast.makeText(Changers_in_one.this, "a", Toast.LENGTH_SHORT).show();
            oilfilter.setVisibility(View.GONE);
            EngineOil.setVisibility(View.GONE);
            washer_plug.setVisibility(View.GONE);
            dust_filter.setVisibility(View.GONE);
            wheel_alignment.setVisibility(View.GONE);
            air_filter.setVisibility(View.GONE);
            fuel_filter.setVisibility(View.GONE);
            spark_plug.setVisibility(View.GONE);
            brake_fluid.setVisibility(View.GONE);
            break_oil.setVisibility(View.VISIBLE);
            transmission_fluid.setVisibility(View.GONE);
            break_pads.setVisibility(View.GONE);
            clutch.setVisibility(View.GONE);
            coolant.setVisibility(View.GONE);
        }if(k==1) {
            Toast.makeText(Changers_in_one.this, "a", Toast.LENGTH_SHORT).show();
            oilfilter.setVisibility(View.GONE);
            EngineOil.setVisibility(View.GONE);
            washer_plug.setVisibility(View.GONE);
            dust_filter.setVisibility(View.GONE);
            wheel_alignment.setVisibility(View.GONE);
            air_filter.setVisibility(View.GONE);
            fuel_filter.setVisibility(View.GONE);
            spark_plug.setVisibility(View.GONE);
            brake_fluid.setVisibility(View.GONE);
            break_oil.setVisibility(View.GONE);
            transmission_fluid.setVisibility(View.VISIBLE);
            break_pads.setVisibility(View.GONE);
            clutch.setVisibility(View.GONE);
            coolant.setVisibility(View.GONE);
        }if(l==1) {
            Toast.makeText(Changers_in_one.this, "a", Toast.LENGTH_SHORT).show();
            oilfilter.setVisibility(View.GONE);
            EngineOil.setVisibility(View.GONE);
            washer_plug.setVisibility(View.GONE);
            dust_filter.setVisibility(View.GONE);
            wheel_alignment.setVisibility(View.GONE);
            air_filter.setVisibility(View.GONE);
            fuel_filter.setVisibility(View.GONE);
            spark_plug.setVisibility(View.GONE);
            brake_fluid.setVisibility(View.GONE);
            break_oil.setVisibility(View.GONE);
            transmission_fluid.setVisibility(View.GONE);
            break_pads.setVisibility(View.VISIBLE);
            clutch.setVisibility(View.GONE);
            coolant.setVisibility(View.GONE);
        }if(m==1) {
            Toast.makeText(Changers_in_one.this, "a", Toast.LENGTH_SHORT).show();
            oilfilter.setVisibility(View.GONE);
            EngineOil.setVisibility(View.GONE);
            washer_plug.setVisibility(View.GONE);
            dust_filter.setVisibility(View.GONE);
            wheel_alignment.setVisibility(View.GONE);
            air_filter.setVisibility(View.GONE);
            fuel_filter.setVisibility(View.GONE);
            spark_plug.setVisibility(View.GONE);
            brake_fluid.setVisibility(View.GONE);
            break_oil.setVisibility(View.GONE);
            transmission_fluid.setVisibility(View.GONE);
            break_pads.setVisibility(View.GONE);
            clutch.setVisibility(View.VISIBLE);
            coolant.setVisibility(View.GONE);
        }if(n==1) {
            Toast.makeText(Changers_in_one.this, "a", Toast.LENGTH_SHORT).show();
            oilfilter.setVisibility(View.GONE);
            EngineOil.setVisibility(View.GONE);
            washer_plug.setVisibility(View.GONE);
            dust_filter.setVisibility(View.GONE);
            wheel_alignment.setVisibility(View.GONE);
            air_filter.setVisibility(View.GONE);
            fuel_filter.setVisibility(View.GONE);
            spark_plug.setVisibility(View.GONE);
            brake_fluid.setVisibility(View.GONE);
            break_oil.setVisibility(View.GONE);
            transmission_fluid.setVisibility(View.GONE);
            break_pads.setVisibility(View.GONE);
            clutch.setVisibility(View.GONE);
            coolant.setVisibility(View.VISIBLE);
        }













    }
}